#
# SchoolTool - common information systems platform for school administration
# Copyright (c) 2015 Shuttleworth Foundation
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
"""
Journey integration components
"""

from zope.interface import implements

from schooltool.rising.interfaces import IJourneyAccessUtility


class JourneyAccessUtility(object):

    implements(IJourneyAccessUtility)

    api = None
    username = None
    password = None

    @property
    def account_url(self):
        return '%s/%s' % (self.api, self.username)

    @property
    def authorization_header(self):
        creds = '%s:%s' % (self.username, self.password)
        return creds.encode('base64')
