#
# SchoolTool - common information systems platform for school administration
# Copyright (c) 2015 Shuttleworth Foundation
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
"""
Rising interfaces
"""

from zope.container.constraints import contains
from zope.container.interfaces import IContainer
from zope.interface import Interface
from zope.schema import Bool
from zope.schema import Datetime
from zope.schema import Int
from zope.schema import TextLine
from zope.schema import URI

from schooltool.rising import RisingMessage as _


class IJourneyAccessUtility(Interface):

    api = URI(title=u'Journey API URL')

    username = TextLine(title=u'API username')

    password = TextLine(title=u'API password')


class IAttendanceGroup(Interface):

    attendance_group = Bool(
        title=_('Attendance Group'),
        required=False)


class IJourneyPreferences(Interface):

    days = Int(title=u'Default number of days for last update', default=3)

    last_sync = Datetime(title=u'Last Sync', required=False)


class IStudentAttendanceRegister(Interface):

    __name__ = TextLine(title=u'Student Attendance Register ID')

    last_update = Datetime(title=u'Last Update', required=False)

    study_group = TextLine(title=u'Study Group ID')


class ISyncedStudentAttendanceRegisterContainer(IContainer):

    contains(IStudentAttendanceRegister)
